curl --request GET \
--url https://api.mn.co/admin/v1/networks/{network_id}/subscriptions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/subscriptions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"member_id": 123,
"created_at": "2026-09-26T01:29:16+00:00",
"updated_at": "2026-09-26T01:29:16+00:00",
"email": "<string>",
"permalink": "<string>",
"plan": {
"amount": 123,
"currency": "<string>",
"interval": "<string>",
"type": "<string>",
"has_free_trial": true,
"id": 123,
"name": "<string>"
},
"subscription": {
"id": "1234",
"purchased_at": "2026-09-26T01:29:16+00:00",
"current_period_start": "2026-09-26T01:29:16+00:00",
"current_period_end": "2026-09-26T01:29:16+00:00",
"payment_platform": "<string>",
"canceled_at": "2026-09-26T01:29:16+00:00",
"trial_length": 123,
"trial_start": "2026-09-26T01:29:16+00:00",
"trial_end": "2026-09-26T01:29:16+00:00"
},
"first_name": "<string>",
"last_name": "<string>",
"time_zone": "<string>",
"location": "<string>",
"referral_count": 123,
"avatar": "<string>",
"categories": [
{
"id": 123,
"title": "<string>"
}
],
"ambassador_level": "<string>"
}{
"error": "<string>"
}Get details of a specific payment subscription
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Subscription ID
The Network's unique integer ID, or subdomain Unique numeric network ID
Response
Returns the subscription details
A payment subscription for a plan
The subscriber's integer ID
The date and time the subscriber was created
"2026-09-26T01:29:16+00:00"
The date and time the subscriber was last modified
"2026-09-26T01:29:16+00:00"
The subscriber's email address. Empty when the subscriber has not consented to commercial email, and masked as a***@***.*** unless the Network's plan includes member-email visibility.
Canonical URL to the subscriber's profile page
The subscription plan
Show child attributes
Show child attributes
Detailed subscription information
Show child attributes
Show child attributes
The subscriber's first name
The subscriber's last name
The subscriber's time zone
The subscriber's location
Number of referrals made by this subscriber
URL to the subscriber's avatar image
Array of category objects. Contains the user's primary segment if present.
Show child attributes
Show child attributes
The subscriber's ambassador level